Bug 818685 - PATCH: properly deal with crypt() returning NULL
PATCH: properly deal with crypt() returning NULL
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: mod_auth_shadow (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Klepek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-03 14:15 EDT by Paul Wouters
Modified: 2014-02-27 15:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-27 14:40:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch hanlding crypt() returning NULL (661 bytes, patch)
2012-05-03 14:15 EDT, Paul Wouters
no flags Details | Diff

  None (edit)
Description Paul Wouters 2012-05-03 14:15:26 EDT
Created attachment 581920 [details]
patch hanlding crypt() returning NULL

Description of problem:
crypt() can return NULL in FIPS mode when an algorithm is not allowed.

Version-Release number of selected component (if applicable):
2.3-1

Attached patch addresses this,
Comment 1 Fedora End Of Life 2013-07-03 18:51:22 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Paul Wouters 2013-07-08 14:42:12 EDT
Still present in current build
Comment 3 Jan Klepek 2014-02-27 14:40:57 EST
package no longer part of fedora, due to incompatibility with apache 2.4+ and no upstream
Comment 4 Jan Klepek 2014-02-27 15:14:42 EST
el5/6 will be updated to fix this issue

Note You need to log in before you can comment on or make changes to this bug.